<h3>Overview of Realms and Groups</h3>

<b>Hierarchical Structure</b>
<p>

<pre>Realm
|__Group
   |__Nested Group
      |__User
         |__Alias</pre>

A realm is a collection of groups, each of which is a collection of users.
You do not need to use groups unless you wish to. It is often easier
to write access control rules by specifying group or realm names for
the list of users allowed access to a resource. Doing this means you
can simply add users to the group or to the realm without having to
modify your access control rules.

<p>
<b>The Admin Group and Admin User</b>
<p>

PowerWeb creates a realm named "admin" upon installation. This is
the default realm for all user authentication, regardless of whether
users are accessing administration facilities. PowerWeb restricts
access to administration facilities to members of the GROUP "admin"
so that only users who are members of that group can configure or
administer your server.
<p>

PowerWeb initially creates a single user (also named "admin") within that
privileged "admin" group. You may add further users to that group
if you want multiple system administrators. If you do not wish to use
the "admin" user name, then first create a new user who is a member
of the "admin" GROUP, and then delete the "admin" user.

<p>
<b>Multiple Realms versus Multiple Groups</b>
<p>

The primary reason for using a single realm with multiple groups
as opposed to multiple realms is 
that a resource can only use one realm at a time. So if you need users to 
access that resource from multiple realms, you will need to duplicate them 
where necessary across realms. That is why a single realm with multiple groups is easier to 
manage.
<p>

As a rule of thumb, you should use separate realms if each realm is independent
and does not share users with other realms, and is used to access a separate 
set of resources independent of the other realms. This makes administration
easier and allows for faster lookup by PowerWeb Server.
<p>

If you share users across multiple realms, or users from multiple realms need 
access to the same resource, you should consider instead using a
single realm and multiple groups within that realm. This means that a user can 
have a single logon account while still belonging to multiple groups. The 
disadvantage is that the whole realm of users must now be managed through a 
single common channel instead of independent lists.
<p>

For example, given the situation:
<br>

<pre>
Admin group
   a user
   b user
   c user
Sales group
   d user
   e user
   f user
</pre>

<br>
where Admin and Sales access separate sets of resources, you are better off
using two realms because the user lists are totally separate.
<p>

If on the other hand you had:
<br>

<pre>
Admin group
   a user
   b user
   e user
Sales group
   a user
   b user
   c user
   d user
</pre>

<br>
or if Admin needed to access some of the same documents as Sales, you would
be better off using a single realm with two groups.
<p>

